﻿
**********************************************************************************************.
COMPUTING VARIABLES.
**********************************************************************************************.
*Computing critical trials for hand values with bet related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE Bet1 = MEAN (Bet8a, Bet8c, Bet8e, Bet8g).
COMPUTE Bet2 = MEAN (Bet9a, Bet9c, Bet9e, Bet9g).
COMPUTE Bet3 = MEAN (Bet10a, Bet10c, Bet10e, Bet10g).
COMPUTE Bet4 = MEAN (Bet11a, Bet11c, Bet11e, Bet11g).
COMPUTE Bet5 = MEAN (Bet12a, Bet12c, Bet12e, Bet12g).
COMPUTE Bet6 = MEAN (Bet13a, Bet13c, Bet13e, Bet13g). 
COMPUTE Bet7 = MEAN (Bet14a, Bet14c, Bet14e, Bet14g).
COMPUTE Bet8 = MEAN (Bet15a, Bet15c, Bet15e, Bet15g).
COMPUTE Bet9 = MEAN (Bet16a, Bet16c, Bet16e, Bet16g).
COMPUTE Bet10 = MEAN (Bet17a, Bet17c, Bet17e, Bet17g).
EXECUTE.

*Computing critical trials for hand values with pass related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE Pass1 = MEAN(Pass8b, Pass8d, Pass8f, Pass8h).
COMPUTE Pass2 = MEAN(Pass9b, Pass9d, Pass9f, Pass9h).
COMPUTE Pass3 = MEAN(Pass10b, Pass10d, Pass10f, Pass10h).
COMPUTE Pass4 = MEAN(Pass11b, Pass11d, Pass11f, Pass11h).
COMPUTE Pass5 = MEAN(Pass12b, Pass12d, Pass12f, Pass12h).
COMPUTE Pass6 = MEAN(Pass13b, Pass13d, Pass13f, Pass13h).
COMPUTE Pass7 = MEAN(Pass14b, Pass14d, Pass14f, Pass14h).
COMPUTE Pass8 = MEAN(Pass15b, Pass15d, Pass15f, Pass15h). 
COMPUTE Pass9 = MEAN(Pass16b, Pass16d, Pass16f, Pass16h).
COMPUTE Pass10 = MEAN(Pass17b, Pass17d, Pass17f, Pass17h).
EXECUTE.

*Computing whether Ps only pushed one button*.
*A mean of zero or one would indicate the participant only pushed one button throughout the whole card game procedure*.
*Participant #93 and #94 pushed one button throughout the whole procedure. Below is a filter to take out this participant from subsequent analyses*.
COMPUTE SingleResponse = MEAN(Pass4b, Pass5a, Pass6a, Bet6b, Bet7a, 
Bet8a, Pass8b, Bet8c, Pass8d, Bet8e, Pass8f, Bet8g, Pass8h,
Bet9a, Pass9b, Bet9c, Pass9d, Bet9e, Pass9f, Bet9g, Pass9h,
Bet10a, Pass10b, Bet10c, Pass10d, Bet10e, Pass10f, Bet10g, Pass10h, 
Bet11a, Pass11b, Bet11c, Pass11d, Bet11e, Pass11f, Bet11g, Pass11h,
Bet12a, Pass12b, Bet12c, Pass12d, Bet12e, Pass12f, Bet12g, Pass12h,
Bet13a, Pass13b, Bet13c, Pass13d, Bet13e, Pass13f, Bet13g, Pass13h,
Bet14a, Pass14b, Bet14c, Pass14d, Bet14e, Pass14f, Bet14g, Pass14h,
Bet15a, Pass15b, Bet15c, Pass15d, Bet15e, Pass15f, Bet15g, Pass15h,
Bet16a, Pass16b, Bet16c, Pass16d, Bet16e, Pass16f, Bet16g, Pass16h,
Bet17a, Pass17b, Bet17c, Pass17d, Bet17e, Pass17f, Bet17g, Pass17h,
Pass18b, Bet18c, Bet19b, Pass20b, Bet21a).
EXECUTE.

**********************************************************************************************.
SAMPLE DESCRIPTIVES.
**********************************************************************************************.
FREQUENCIES VARIABLES=Gender Age
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW
  /ORDER=ANALYSIS.

**********************************************************************************************.
ANALYSES.
**********************************************************************************************.
*First, we will run a repeated measures ANOVA*.
*One IV is prime type (bet vs pass). The other IV is hand value which of the critical trials (there are 10 levels of this IV)*.
*The DV is proportion of times the participant decided to bet*.
GLM Bet1 Bet2 Bet3 Bet4 Bet5 Bet6 Bet7 Bet8 Bet9 Bet10 Pass1 Pass2 Pass3 Pass4 Pass5 Pass6 Pass7 
    Pass8 Pass9 Pass10
  /WSFACTOR=Bet 2 Polynomial Hand 10 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Hand*Bet Bet*Hand Bet Hand)
  /EMMEANS=TABLES(Bet*Hand) 
  /CRITERIA=ALPHA(.05)
 /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Bet Hand Bet*Hand.

****************************.
*Breaking down the interaction*.
T-TEST PAIRS=Bet10 WITH Pass10 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet9 WITH Pass9 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet8 WITH Pass8 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet7 WITH Pass7 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet6 WITH Pass6 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet5 WITH Pass5 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet4 WITH Pass4 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet3 WITH Pass3 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet2 WITH Pass2 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet1 WITH Pass1 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.












