﻿
**********************************************************************************************.
COMPUTING VARIABLES.
**********************************************************************************************.
*Computing critical trials for hand values with bet related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE Bet1 = MEAN(Hand10a12, Hand10a12_A, Hand10c12, Hand10c12_A, Hand10e12, Hand10e12_A, Hand10g12, Hand10g12_A).
COMPUTE Bet2 = MEAN(Hand11a12, Hand11a12_A, Hand11c12, Hand11c12_A, Hand11e12, Hand11e12_A, Hand11g12, Hand11g12_A).
COMPUTE Bet3 = MEAN(Hand12a12, Hand12a12_A, Hand12c12, Hand12c12_A, Hand12e12, Hand12e12_A, Hand12g12, Hand12g12_A).
COMPUTE Bet4 = MEAN(Hand13a12, Hand13a12_A, Hand13c12, Hand13c12_A, Hand13e12, Hand13e12_A, Hand13g12, Hand13g12_A).
COMPUTE Bet5 = MEAN(Hand14a12, Hand14a12_A, Hand14c12, Hand14c12_A, Hand14e12, Hand14e12_A, Hand14g12, Hand14g12_A).
COMPUTE Bet6 = MEAN(Hand15a12, Hand15a12_A, Hand15c12, Hand15c12_A, Hand15e12, Hand15e12_A, Hand15g12, Hand15g12_A).
EXECUTE.

*Computing critical trials for hand values with pass related primes*.
*Higher numbers indicate more bet decisions*.
COMPUTE Pass1 = MEAN(Hand10b12, Hand10b12_A, Hand10d12, Hand10d12_A, Hand10f12,  Hand10f12_A, Hand10h12, Hand10h12_A).
COMPUTE Pass2 = MEAN(Hand11b12, Hand11b12_A, Hand11d12, Hand11d12_A, Hand11f12,  Hand11f12_A, Hand11h12, Hand11h12_A).
COMPUTE Pass3 = MEAN(Hand12b12, Hand12b12_A, Hand12d12, Hand12d12_A, Hand12f12,  Hand12f12_A, Hand12h12, Hand12h12_A).
COMPUTE Pass4 = MEAN(Hand13b12, Hand13b12_A, Hand13d12, Hand13d12_A, Hand13f12,  Hand13f12_A, Hand13h12, Hand13h12_A).
COMPUTE Pass5 = MEAN(Hand14b12, Hand14b12_A, Hand14d12, Hand14d12_A, Hand14f12,  Hand14f12_A, Hand14h12, Hand14h12_A).
COMPUTE Pass6 = MEAN(Hand15b12, Hand15b12_A, Hand15d12, Hand15d12_A, Hand15f12,  Hand15f12_A, Hand15h12, Hand15h12_A).
EXECUTE.


*Computing whether Ps only pushed one button*.
*A mean of zero or one would indicate the participant only pushed one button throughout the whole card game procedure*.
*No participants only pushed one button throughout the whole procedure. Therefore, all participants are included in the analyses*.
COMPUTE SingleReponse = MEAN(Hand10a12, Hand10a12_A, Hand10b12, Hand10b12_A, Hand10c12, Hand10c12_A, Hand10d12, Hand10d12_A, Hand10e12, 
Hand10e12_A, Hand10f12, Hand10f12_A, Hand10g12, Hand10g12_A, Hand10h12, Hand10h12_A, Hand11a12, Hand11a12_A, Hand11b12, Hand11b12_A, 
Hand11c12, Hand11c12_A, Hand11d12, Hand11d12_A, Hand11e12, Hand11e12_A, Hand11f12, Hand11f12_A, Hand11g12, Hand11g12_A, Hand11h12, 
Hand11h12_A, Hand12a12, Hand12a12_A, Hand12b12, Hand12b12_A, Hand12c12, Hand12c12_A, Hand12d12, Hand12d12_A, Hand12e12, Hand12e12_A, 
Hand12f12, Hand12f12_A, Hand12g12, Hand12g12_A, Hand12h12, Hand12h12_A, Hand13a12, Hand13a12_A, Hand13b12, Hand13b12_A, Hand13c12, 
Hand13c12_A, Hand13d12, Hand13d12_A, Hand13e12, Hand13e12_A, Hand13f12, Hand13f12_A, Hand13g12, Hand13g12_A, Hand13h12, Hand13h12_A, 
Hand14a12, Hand14a12_A, Hand14b12, Hand14b12_A, Hand14c12, Hand14c12_A, Hand14d12, Hand14d12_A, Hand14e12, Hand14e12_A, Hand14f12, 
Hand14f12_A, Hand14g12, Hand14g12_A, Hand14h12, Hand14h12_A, Hand15a12, Hand15a12_A, Hand15b12, Hand15b12_A, Hand15c12, Hand15c12_A, 
Hand15d12, Hand15d12_A, Hand15e12, Hand15e12_A, Hand15f12, Hand15f12_A, Hand15g12, Hand15g12_A, Hand15h12, Hand15h12_A, Hand16a12, 
Hand16a12_A, Hand17a12, Hand17a12_A, Hand18a12, Hand18a12_A, Hand19a12, Hand19a12_A, Hand20a12, Hand20a12_A, Hand21a12, Hand21a12_A, 
Hand4a12, Hand4a12_A, Hand5a12, Hand5a12_A, Hand6a12, Hand6a12_A, Hand7a12, Hand7a12_A, Hand8a12, Hand8a12_A, Hand9a12, Hand9a12_A).
EXECUTE.

*Computing whether Ps guessed the primes*.
*Anything greater thant zero would mean the participant guessed the primes*.
*Participant #137 guessed one prime. I have created a filter below to take this participant out of subsequent analyses*.
COMPUTE GuessPrime = SUM(Fold2, Fold2_A, Fond2, Fond2_A, Gamble2, Gamble2_A, Gander2, Gander2_A, Stag2, Stag2_A, Stay2, Stay2_A,
Wager2, Wager2_A, Wagon2, Wagon2_A).
EXECUTE.

**********************************************************************************************.
SAMPLE DESCRIPTIVES.
**********************************************************************************************.
FREQUENCIES VARIABLES=Gender Age
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW
  /ORDER=ANALYSIS.

**********************************************************************************************.
DATA ANALYSES.
**********************************************************************************************.
*First, we will run a repeated measures ANOVA*.
*One IV is prime type (bet vs pass). The other IV is hand value which of the critical trials (there are 10 levels of this IV)*.
*The DV is proportion of times the participant decided to bet*.
GLM Bet1 Bet2 Bet3 Bet4 Bet5 Bet6 Pass1 Pass2 Pass3 Pass4 Pass5 Pass6
  /WSFACTOR=Bet 2 Polynomial Hand 6 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Hand*Bet)
  /EMMEANS=TABLES(Bet*Hand) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Bet Hand Bet*Hand.

****************************.
*Breaking down the interaction*.
T-TEST PAIRS=Bet1 WITH Pass1 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet2 WITH Pass2 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet3 WITH Pass3 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet4 WITH Pass4 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet5 WITH Pass5 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=Bet6 WITH Pass6 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.





